Social publishing
List social accounts
GET
/
social
/
accounts
List social accounts
curl --request GET \
--url https://havincy.com/api/v1/social/accounts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://havincy.com/api/v1/social/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://havincy.com/api/v1/social/accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"publishing_allowed": true,
"connect_url": "https://havincy.com/mon-espace?view=accounts",
"data": [
{ "id": 12, "object": "social_account", "platform": "youtube", "name": "Acme", "handle": "@acme", "publishable": true, "supports_images": false }
]
}
Lists the social accounts connected in Havincy Diffusion and whether the plan allows publishing. Accounts are connected from the Havincy app.
Required permission:
read. MCP tool: list_social_accounts.
{
"object": "list",
"publishing_allowed": true,
"connect_url": "https://havincy.com/mon-espace?view=accounts",
"data": [
{ "id": 12, "object": "social_account", "platform": "youtube", "name": "Acme", "handle": "@acme", "publishable": true, "supports_images": false }
]
}
⌘I
List social accounts
curl --request GET \
--url https://havincy.com/api/v1/social/accounts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://havincy.com/api/v1/social/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://havincy.com/api/v1/social/accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"publishing_allowed": true,
"connect_url": "https://havincy.com/mon-espace?view=accounts",
"data": [
{ "id": 12, "object": "social_account", "platform": "youtube", "name": "Acme", "handle": "@acme", "publishable": true, "supports_images": false }
]
}